# Interface FontManager

All Known Subinterfaces:
  `GenericPlatform`

All Known Implementing Classes:
  `AwtPlatform, JsPlatform, Platform, Platform, Platform`

public interface FontManager
A generic interface for font queries. In JSmol it is handled by org.jmol.api.ApiPlatform

## Method Summary

Modifier and Type
Method
Description
`int`
`fontStringWidth(Font font, String text)`
`int`
`getFontAscent(Object fontMetrics)`
`int`
`getFontDescent(Object fontMetrics)`
`Object`
`getFontMetrics(Font font, Object graphics)`
`Object`
`newFont(String fontFace, boolean isBold, boolean isItalic, float fontSize)`

## Method Details

### fontStringWidth

int fontStringWidth(Font font, String text)

### getFontAscent

int getFontAscent(Object fontMetrics)

### getFontDescent

int getFontDescent(Object fontMetrics)

### getFontMetrics

Object getFontMetrics(Font font, Object graphics)

### newFont

Object newFont(String fontFace, boolean isBold, boolean isItalic, float fontSize)